from setuptools import setup, find_packages
import os

name = "erp5.recipe.memcachedserver"
version = '0.0.1'

def read(*rnames):
  return open(os.path.join(os.path.dirname(__file__), *rnames)).read()

long_description=( read('README.txt')
                   + '\n' +
                   read('CHANGES.txt')
                 )

setup(
  name = name,
  version = version,
  author = 'de Saint Martin Cedric, for Nexedi',
  author_email = 'cedric.dsm@tiolive.com',
  description = 
    "zc.buildout recipe that creates an server of an installed memcached",
  long_description = long_description,
  license = "ZPL 2.1",
  keywords = "memcached server buildout",
  classifiers = [
    "License :: OSI Approved :: Zope Public License",
    "Framework :: Buildout",
  ],

  package_dir = {'': 'src'},
  packages = find_packages('src'),
  namespace_packages = ['erp5', 'erp5.recipe'],
  include_package_data = True,
  install_requires = ['setuptools', 'zc.recipe.egg'],
  entry_points = {'zc.buildout': ['default = %s:Recipe' % name]},
  )
